wordpress接入又拍云CDN后台样式及编辑功能异常

Wordpress 思享 542浏览

我的博客接入又拍云CDN加速后,后台的样式无法加载,编辑文章的功能也无法正常了。这是什么原因呢?

wordpress后台加载异常

排查问题

首先,我直接查看后台的网页源码加载异常的CSS和JavaScript

发现/wp-admin/load-styles.php?xxxxx和/wp-admin/load-scripts.php?xxxxx两个文件加载时空白的。

问题解决

于是我在缓存规则中添加对/wp-admin/目录的不缓存,结果问题仍然没得到解决

最后苦想也没找到问题,最后询问客服才知道是参数设置的问题

登录又拍云后台——控制台——CDN——缓存控制——参数跟随管理,选择全程跟随!

参数跟随:

控制是否对用户请求 URL 中问号之后的参数进行过滤,可有效提高资源文件缓存命中率。默认情况下,将会忽略用户请求 URL 中 “?” 之后的参数。

当选择【全程跟随】模式时,此时将不会忽略用户请求 URL 中 “?” 之后的参数,该模式下,可能会降低资源文件的缓存命中率,请根据业务情况合理配置。

我本来以为这个功能是关闭的理解成了不忽略参数所以就没设置,最后设置选择“全程跟随“之后,问题解决!

推荐阅读

纯代码实现wordpress附件页面重定向到文章或首页

前几天发现wordpress网站有评论留言的回顾。结果一看就是附件页面的垃圾评论。这才发现原来wordpress上传的附件也会有对应的页面。难怪之前收录了很多附件页面,但是我的机器人禁止了,忘记了。本来以为会禁用,结果只找到了在线使用插件的方法。最后......

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function ‘fake_update_callback’

这是当一个被挂钩的函数名与挂钩关联不匹配时…这可能发生在重命名一个函数时,而不是在挂钩关联中重命名函数名时。如果强迫症受不了wordpress的主题提示,可以使用插件WP降级将版本设置为当前版本。...

wordpress升降到指定版本:WP Downgrade | Specific Core Version插件

背景:网站一直用4.9+版本,因为编辑器还是老的。如果是自动升级,是目前最高的版本,但是我想升级到最新的版本,4.9.22版。WP降级|特定核心版插件可以解决我的问题。设置好程序路径后,记得保存更改,然后“升/降级核心”会等待升级。如果是降级操作,为......